Consultar catálogo de filtros de segmento
curl --request GET \
--url https://api.bevits.com/v1/segment-builder/catalog \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bevits.com/v1/segment-builder/catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bevits.com/v1/segment-builder/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bevits.com/v1/segment-builder/catalog",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bevits.com/v1/segment-builder/catalog"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bevits.com/v1/segment-builder/catalog")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bevits.com/v1/segment-builder/catalog")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "segment_filter_catalog",
"fields": [
{
"field": "<string>",
"label": "<string>",
"type": "STRING",
"custom": true,
"operators": [
"<string>"
]
}
],
"tags": {
"operators": [
"has_any"
],
"note": "<string>"
},
"products": {
"operators": [
"has_purchased"
],
"note": "<string>"
},
"coupons": {
"statuses": [
{
"status": "has_available",
"description": "<string>"
}
],
"sources": [
{
"source": "cashback",
"description": "<string>"
}
],
"flows": [
{
"id": "<string>",
"status": "draft",
"issues_cashback": true,
"name": "<string>"
}
]
},
"example": {
"match": "all",
"conditions": [
{
"kind": "field",
"field": "<string>",
"operator": "<string>",
"value": "<string>",
"value_to": "<string>"
}
]
}
}{
"error": {
"type": "authentication_error",
"message": "Invalid API key.",
"request_id": "req_07f6cdc3c20249d6afcd90b4"
}
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>",
"suggestion": "<string>"
},
"retry_after": 2
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>",
"suggestion": "<string>"
}
}Referência
Consultar catálogo de filtros de segmento
Lista todas as condições que um segmento por filtros pode usar nesta loja, as mesmas da tela de filtros de Clientes: campos do cliente e atributos personalizados com seus operadores, tags, produtos comprados e cupons e cashback (giftback), com as automações que geram cupons. Traz um exemplo completo. Use com POST /v1/segment-builder/preview e POST /v1/segments.
GET
/
v1
/
segment-builder
/
catalog
Consultar catálogo de filtros de segmento
curl --request GET \
--url https://api.bevits.com/v1/segment-builder/catalog \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bevits.com/v1/segment-builder/catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bevits.com/v1/segment-builder/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bevits.com/v1/segment-builder/catalog",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bevits.com/v1/segment-builder/catalog"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bevits.com/v1/segment-builder/catalog")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bevits.com/v1/segment-builder/catalog")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "segment_filter_catalog",
"fields": [
{
"field": "<string>",
"label": "<string>",
"type": "STRING",
"custom": true,
"operators": [
"<string>"
]
}
],
"tags": {
"operators": [
"has_any"
],
"note": "<string>"
},
"products": {
"operators": [
"has_purchased"
],
"note": "<string>"
},
"coupons": {
"statuses": [
{
"status": "has_available",
"description": "<string>"
}
],
"sources": [
{
"source": "cashback",
"description": "<string>"
}
],
"flows": [
{
"id": "<string>",
"status": "draft",
"issues_cashback": true,
"name": "<string>"
}
]
},
"example": {
"match": "all",
"conditions": [
{
"kind": "field",
"field": "<string>",
"operator": "<string>",
"value": "<string>",
"value_to": "<string>"
}
]
}
}{
"error": {
"type": "authentication_error",
"message": "Invalid API key.",
"request_id": "req_07f6cdc3c20249d6afcd90b4"
}
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>",
"suggestion": "<string>"
},
"retry_after": 2
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>",
"suggestion": "<string>"
}
}Resposta
Catálogo de filtros de segmento.